MediaWiki:Timeless.css

From Mamiya Wiki
Revision as of 15:49, 30 June 2023 by Mamiyawiki (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* All CSS here will be loaded for users of the Timeless skin */
/*
==================
     GENERAL
==================/*

/* Site Background */

#mw-header-container {
    background: var(--darkmode);
}

#mw-content {
    background: var(--darkmode);
    border: solid 1px var(--border-dark);
}

#mw-content-container {
    background: center / cover no-repeat url("https://cdn.discordapp.com/attachments/844383406078820383/1123349074754674768/top_no.jpg");
}

#mw-content-wrapper {
    background: var(--darkmode);
}

code, pre, .mw-code {
    color: #94a1bb;
    background-color: var(--precolor);
    border: #000;
}

body {
    color: #fff6ac;
	line-height: 1.6;
	background: #000;
}

a:link {
    color: var(--natsume);
}

a:visited {
    color: #a38a22;
}

a:hover {
    color: #ffee00;
}

a:visited:hover {
    color: #dcb71c;
}

table {
	border-collapse: separate;
	border-spacing: 2px;
}

blockquote {
    border-left: 3px solid var(--yumehisa);
    padding-left: 1em;
    font-family: 'KozGoPro';
}

#mw-body h2 { overflow-y: hidden; }
#mw-body div.floatright, table.floatright { margin: 0 0 .5em .5em; }
#mw-body div.floatleft,table.floatleft { margin: 0 .5em .5em 0; }

#p-logo-text a {
    color: #fff;
	font-family: 'KozGoPro', normal;
	text-transform: uppercase;
	font-weight: 400;
}

/* Navigation */
#simpleSearch {
    background: var(--natsume);
    border: solid 1px var(--border-dark);
}

#searchInput {
    background: #ffdf67;
}

#mw-site-navigation .mw-portlet h3 {
	text-transform: uppercase;
    font-family: 'Over the Rainbow', cursive;
	font-weight: 700;
}
#mw-site-navigation .mw-portlet h3::before {
	content: '🌖';
	color: #ffffff;
}

.toctitle #mw-toc-heading {
    font-family: 'KozGoPro';
}

#mw-header-container h2 {
    color: var(--natsume);
}

#personal .dropdown {
    background: var(--upper);
}

#personal .dropdown h3 {
    border-bottom: solid 2px var(--yumehisa);
}

#mw-header-container h3 {
    color: var(--yumehisa);
}

#mw-site-navigation .sidebar-chunk {
    background: var(--upper);
}

#mw-related-navigation .sidebar-chunk {
    background: var(--upper);
}

/* Navbar Colours */

.color-left {
    background: var(--protag)!important;
}
.color-middle {
    background: var(--yumehisa)!important;
}
.color-right {
    background: var(--natsume)!important;
}

/* Heading Fonts */

#mw-content h1, #mw-content h2, #mw-content h3, #mw-content h4, #mw-content h5, #mw-content h6, #mw-content dt {
    font-family: 'Over the Rainbow', cursive;
}

#mw-content .list h5 {
    margin-top: 1em;
}

#mw-content h2.welcomeheader {
    border-bottom: none;
    font-size: 1.8rem;
}

#mw-content h5 span.mw-headline {
    font-weight: bold;
    font-size: 1.25rem;
}

#mw-content h1.firstHeading {
     font-family: 'KozGoPro';
     border-bottom: solid 4px var(--yumehisa);
}

#mw-footer-container { color: #000; border-top: 4px solid var(--yumehisa); }
#mw-footer-container a { color: var(--natsume); }

#mw-content-container {
    border-bottom: none;
}